import request from '@/utils/request'

const baseURl = import.meta.env.VITE_APP_BASE_API
// request.defaults.baseURL = '/ezhizao-yzbh-sys'
// 查询字典数据列表
export function listData(query) {
  request.defaults.baseURL = baseURl
  return request({
    url: '/system/dict/data/list',
    method: 'get',
    params: query
  })
}

// 查询字典数据详细
export function getData(dictCode) {
  request.defaults.baseURL = baseURl
  return request({
    url: '/system/dict/data/' + dictCode,
    method: 'get'
  })
}

// 根据字典类型查询字典数据信息
export function getDicts(dictType) {
  request.defaults.baseURL = baseURl
  return request({
    url: '/system/dict/data/type/' + dictType,
    method: 'get'
  })
}

// 新增字典数据
export function addData(data) {
  request.defaults.baseURL = baseURl
  return request({
    url: '/system/dict/data',
    method: 'post',
    data: data
  })
}

// 修改字典数据
export function updateData(data) {
  request.defaults.baseURL = baseURl
  return request({
    url: '/system/dict/data',
    method: 'put',
    data: data
  })
}

// 删除字典数据
export function delData(dictCode) {
  request.defaults.baseURL = baseURl
  return request({
    url: '/system/dict/data/' + dictCode,
    method: 'delete'
  })
}
